import QtQuick 2.3
import "Theme.js" as Theme

DialogButton {
    id: chb;
    property bool checked: false;

    Rectangle {
        width: height;
        height: Theme.primary_pixelSize;
        color: chb.checked ? "green" : "red"
        anchors.verticalCenter: parent.verticalCenter;
        anchors.right: parent.right
        anchors.rightMargin: Theme.margin

    }
    onClicked: {
        chb.checked = !chb.checked;
    }

}
