import QtQuick 2.0
// import "uiconstants.js" as UI

Image {
    id: item
    property variant targetPoint: getMappointFromCoord(latitude, longitude)
    property string waypointType: "Diamond_Blue";
    property real azimuth: 0

    property real latitude: 0;
    property real longitude: 0;

    property real mapx;
    property real mapy;
//    width: 46
//    height: 46
    x: mapx + targetPoint[0] - centerX
    y: mapy + targetPoint[1] - centerY
    source: "./data/"+waypointType+".png"

    property int centerX: item.width/2
    property int centerY: item.height/2

    transform: Rotation {
        origin.x: centerX
        origin.y: centerY
        angle: azimuth
    }
}

//Rectangle {
//    width: drawSimple ? 10: 36
//    height: drawSimple ? 10: 36
//    property variant cache
//    property bool drawSimple
//    color: (currentGeocache && cache.name == currentGeocache.name) ? "#44ff0000" : (cache.marked ? "#88ffff80" : "#88ffffff")
//    border.width: 4
//    border.color: UI.getCacheColor(cache)
//    //smooth: true
//    radius: 7
//    visible: ! (settings.optionsHideFound && cache.found)
//    Image {
//        source: (cache.status == 0) ? "../data/mark.png" : "../data/cross.png";
//        anchors.centerIn: parent
//        visible: ! drawSimple
//    }
//}
